#ifndef _MOOLBBANG_H
#define _MOOLBBANG_H

#pragma once
#include "MuckBBang.h"

class MoolBBang :
	public MuckBBang
{
	int nCup;
public:
	MoolBBang(char *name);
	~MoolBBang(void);
	virtual void eatAppetizer();
	virtual void eatEntree(int n);
	virtual void eatDessert();
	virtual void print();
	virtual int howManyDoYouWant();
	virtual int whoAreYou() { return ID_MOOLBBANG; }
};

#endif
